import * as $dara from '@darabonba/typescript';
export declare class ListFileProtectBindMachineResponseBodyPageInfo extends $dara.Model {
    /**
     * @example
     * 10
     */
    count?: number;
    /**
     * @example
     * 69
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListFileProtectBindMachineResponseBody extends $dara.Model {
    list?: string[];
    pageInfo?: ListFileProtectBindMachineResponseBodyPageInfo;
    /**
     * @remarks
     * Id of the request
     *
     * @example
     * 1EE7B150-D67E-53FD-A52D-3E8E669A****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
